## concat concat |

## Properties

GstPad * | active-pad | Read
gboolean | adjust-base | Read / Write

## Types and Values

struct | GstConcat

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstConcat

## Description

Concatenates streams together to one continous stream.

All streams but the current one are blocked until the current one finished with `GST_EVENT_EOS`. Then the next stream is enabled, while keeping the running time continous for `GST_FORMAT_TIME` segments or keeping the segment continous for `GST_FORMAT_BYTES` segments.

Streams are switched in the order in which the sinkpads were requested.

By default, the stream segment's base values are adjusted to ensure the segment transitions between streams are continuous. In some cases, it may be desirable to turn off these adjustments (for example, because another downstream element like a streamsynchronizer adjusts the base values on its own). The adjust-base property can be used for this purpose.

#### Example launch line

    1
    gst-launch-1.0 concat name=c ! xvimagesink  videotestsrc num-buffers=100 ! c.   videotestsrc num-buffers=100 pattern=ball ! c.

Plays two video streams one after another.

## Synopsis

### Element Information

plugin | coreelements
author | Sebastian Dröge <sebastian@centricular.com>
class | Generic

### Element Pads

name | sink_%u
direction | sink
presence | request
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstConcat

    struct GstConcat;

The private concat structure

## Property Details

### The `“active-pad”` property

      “active-pad”               GstPad *

Currently active src pad.

Flags: Read

### The `“adjust-base”` property

      “adjust-base”              gboolean

Adjust the base value of segments to ensure they are adjacent.

Flags: Read / Write

Default value: TRUE

## See Also

GstFunnel